//
//  SQFooter.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 13/11/2024.
//

import SwiftUI

struct SQFooter<Content: View>: View {
    let content: Content

    init(@ViewBuilder content: () -> Content) {
        self.content = content()
    }

    var body: some View {
        HStack {
            content
        }
        .padding()
        .frame(maxWidth: .infinity, alignment: .center)
        .background(Color.white)
        .cornerRadius(8)
        .shadow(color: Color(red: 0.09, green: 0.14, blue: 0.2).opacity(0.1), radius: 8, x: 0, y: -4)
    }
}

#Preview {
    SQFooter {
        SQButton("test") {

        }
        SQButton("test") {

        }
    }
}
